Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members

# mysqlpp::LockFailed Class Reference

Exception thrown when a Lockable object fails. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::LockFailed:

[legend]
Collaboration diagram for mysqlpp::LockFailed:

[legend]
List of all members.

## Public Member Functions
| LockFailed (const char *w="lock failed")
| Create exception object.

## Detailed Description

Exception thrown when a Lockable object fails.

Currently, "failure" means that the object is already locked when you make a call that tries to lock it again. In the future, that case will probably result in the second thread blocking, but the thread library could assert other errors that would keep this exception relevant.

The documentation for this class was generated from the following file:

- exceptions.h